### Enumeration

# Gtk ApplicationInhibitFlags

#### Declaration

    flags Gtk.ApplicationInhibitFlags

#### Description [src]

Types of user actions that may be blocked by `GtkApplication`.

See gtk_application_inhibit().

#### Members

Name | Description
--- | ---
`GTK_APPLICATION_INHIBIT_LOGOUT` | Inhibit ending the user session by logging out or by shutting down the computer.
`GTK_APPLICATION_INHIBIT_SWITCH` | Inhibit user switching.
`GTK_APPLICATION_INHIBIT_SUSPEND` | Inhibit suspending the session or computer.
`GTK_APPLICATION_INHIBIT_IDLE` | Inhibit the session being marked as idle (and possibly locked).